Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network152.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
152.64.0.0
Broadcast address
152.95.255.255
First usable
152.64.0.1
Last usable
152.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
B (default /16)
As numbers
Hex 98400000 · Integer 2554331136 to 2556428287
Reverse DNS zones
64.152.in-addr.arpa
65.152.in-addr.arpa
66.152.in-addr.arpa
67.152.in-addr.arpa
68.152.in-addr.arpa
69.152.in-addr.arpa
70.152.in-addr.arpa
71.152.in-addr.arpa
72.152.in-addr.arpa
73.152.in-addr.arpa
74.152.in-addr.arpa
75.152.in-addr.arpa
76.152.in-addr.arpa
77.152.in-addr.arpa
78.152.in-addr.arpa
79.152.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011000.01000000.00000000.00000000152.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network10011000.01000000.00000000.00000000152.64.0.0
Broadcast10011000.01011111.11111111.11111111152.95.255.255
Split into smaller subnets/17

152.64.0.0/11 makes 64 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1152.64.0.0/17152.64.0.1 to 152.64.127.254152.64.127.25532,766
2152.64.128.0/17152.64.128.1 to 152.64.255.254152.64.255.25532,766
3152.65.0.0/17152.65.0.1 to 152.65.127.254152.65.127.25532,766
4152.65.128.0/17152.65.128.1 to 152.65.255.254152.65.255.25532,766
5152.66.0.0/17152.66.0.1 to 152.66.127.254152.66.127.25532,766
6152.66.128.0/17152.66.128.1 to 152.66.255.254152.66.255.25532,766
7152.67.0.0/17152.67.0.1 to 152.67.127.254152.67.127.25532,766
8152.67.128.0/17152.67.128.1 to 152.67.255.254152.67.255.25532,766
9152.68.0.0/17152.68.0.1 to 152.68.127.254152.68.127.25532,766
10152.68.128.0/17152.68.128.1 to 152.68.255.254152.68.255.25532,766
11152.69.0.0/17152.69.0.1 to 152.69.127.254152.69.127.25532,766
12152.69.128.0/17152.69.128.1 to 152.69.255.254152.69.255.25532,766
13152.70.0.0/17152.70.0.1 to 152.70.127.254152.70.127.25532,766
14152.70.128.0/17152.70.128.1 to 152.70.255.254152.70.255.25532,766
15152.71.0.0/17152.71.0.1 to 152.71.127.254152.71.127.25532,766
16152.71.128.0/17152.71.128.1 to 152.71.255.254152.71.255.25532,766
17152.72.0.0/17152.72.0.1 to 152.72.127.254152.72.127.25532,766
18152.72.128.0/17152.72.128.1 to 152.72.255.254152.72.255.25532,766
19152.73.0.0/17152.73.0.1 to 152.73.127.254152.73.127.25532,766
20152.73.128.0/17152.73.128.1 to 152.73.255.254152.73.255.25532,766
21152.74.0.0/17152.74.0.1 to 152.74.127.254152.74.127.25532,766
22152.74.128.0/17152.74.128.1 to 152.74.255.254152.74.255.25532,766
23152.75.0.0/17152.75.0.1 to 152.75.127.254152.75.127.25532,766
24152.75.128.0/17152.75.128.1 to 152.75.255.254152.75.255.25532,766
25152.76.0.0/17152.76.0.1 to 152.76.127.254152.76.127.25532,766
26152.76.128.0/17152.76.128.1 to 152.76.255.254152.76.255.25532,766
27152.77.0.0/17152.77.0.1 to 152.77.127.254152.77.127.25532,766
28152.77.128.0/17152.77.128.1 to 152.77.255.254152.77.255.25532,766
29152.78.0.0/17152.78.0.1 to 152.78.127.254152.78.127.25532,766
30152.78.128.0/17152.78.128.1 to 152.78.255.254152.78.255.25532,766
31152.79.0.0/17152.79.0.1 to 152.79.127.254152.79.127.25532,766
32152.79.128.0/17152.79.128.1 to 152.79.255.254152.79.255.25532,766
33152.80.0.0/17152.80.0.1 to 152.80.127.254152.80.127.25532,766
34152.80.128.0/17152.80.128.1 to 152.80.255.254152.80.255.25532,766
35152.81.0.0/17152.81.0.1 to 152.81.127.254152.81.127.25532,766
36152.81.128.0/17152.81.128.1 to 152.81.255.254152.81.255.25532,766
37152.82.0.0/17152.82.0.1 to 152.82.127.254152.82.127.25532,766
38152.82.128.0/17152.82.128.1 to 152.82.255.254152.82.255.25532,766
39152.83.0.0/17152.83.0.1 to 152.83.127.254152.83.127.25532,766
40152.83.128.0/17152.83.128.1 to 152.83.255.254152.83.255.25532,766
41152.84.0.0/17152.84.0.1 to 152.84.127.254152.84.127.25532,766
42152.84.128.0/17152.84.128.1 to 152.84.255.254152.84.255.25532,766
43152.85.0.0/17152.85.0.1 to 152.85.127.254152.85.127.25532,766
44152.85.128.0/17152.85.128.1 to 152.85.255.254152.85.255.25532,766
45152.86.0.0/17152.86.0.1 to 152.86.127.254152.86.127.25532,766
46152.86.128.0/17152.86.128.1 to 152.86.255.254152.86.255.25532,766
47152.87.0.0/17152.87.0.1 to 152.87.127.254152.87.127.25532,766
48152.87.128.0/17152.87.128.1 to 152.87.255.254152.87.255.25532,766
49152.88.0.0/17152.88.0.1 to 152.88.127.254152.88.127.25532,766
50152.88.128.0/17152.88.128.1 to 152.88.255.254152.88.255.25532,766
51152.89.0.0/17152.89.0.1 to 152.89.127.254152.89.127.25532,766
52152.89.128.0/17152.89.128.1 to 152.89.255.254152.89.255.25532,766
53152.90.0.0/17152.90.0.1 to 152.90.127.254152.90.127.25532,766
54152.90.128.0/17152.90.128.1 to 152.90.255.254152.90.255.25532,766
55152.91.0.0/17152.91.0.1 to 152.91.127.254152.91.127.25532,766
56152.91.128.0/17152.91.128.1 to 152.91.255.254152.91.255.25532,766
57152.92.0.0/17152.92.0.1 to 152.92.127.254152.92.127.25532,766
58152.92.128.0/17152.92.128.1 to 152.92.255.254152.92.255.25532,766
59152.93.0.0/17152.93.0.1 to 152.93.127.254152.93.127.25532,766
60152.93.128.0/17152.93.128.1 to 152.93.255.254152.93.255.25532,766
61152.94.0.0/17152.94.0.1 to 152.94.127.254152.94.127.25532,766
62152.94.128.0/17152.94.128.1 to 152.94.255.254152.94.255.25532,766
63152.95.0.0/17152.95.0.1 to 152.95.127.254152.95.127.25532,766
64152.95.128.0/17152.95.128.1 to 152.95.255.254152.95.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses